Bug 1123538 - Un-submittable report produced by GNOME Shell crash
Summary: Un-submittable report produced by GNOME Shell crash
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 21
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Radek Vokál
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-26 02:41 UTC by Adam Williamson
Modified: 2015-12-02 16:10 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:18:03 UTC


Attachments (Terms of Use)
GDB backtrace (36.03 KB, text/plain)
2014-07-28 15:37 UTC, Jakub Filak
no flags Details
backtrace from the 'gdb' command with a new abrt capture of the crash (58.22 KB, text/plain)
2014-07-28 17:44 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2014-07-26 02:41:41 UTC
Trying to start a screencast in GNOME Shell on Wayland reproducibly causes the Shell to crash. Unfortunately I can't easily report the crash, because abrt considers the generated report to be un-submittable:

[adamw@xps13 ~]$ abrt-cli report /var/tmp/abrt/ccpp-2014-07-25-19\:36\:05-6627/Server responded with an error: 'Validation failed: Element 'stacktrace' is invalid: List element is invalid: Element 'frames' is invalid: List element is invalid: Element 'file_name' is missing'
reporter-ureport failed with exit code 1
('report_uReport' exited with 1)
[adamw@xps13 ~]$ 

I have compressed the crash report and placed it at https://www.happyassassin.net/temp/unreportable-shell-crash.tar.xz for you to examine. Thanks!

Comment 1 Jakub Filak 2014-07-28 15:37:40 UTC
Created attachment 921810 [details]
GDB backtrace

Hi Adam, thank you for the report. It seems that the coredump is corrupted. Neither gdb nor eu-stack can generate a reliable backtrace ("Thread 1" is completely broken. gdb $(cat executable) -c coredump -batch -ex "t a a bt full" -ex disassemble -ex "info all-registers" -ex "info sharedlib" > backtrace 2>&1).

Do all the crash duplicates suffer from the same symptoms?
Did you restart your machine after updating the system?

Comment 2 Adam Williamson 2014-07-28 15:54:03 UTC
I believe it was a 'sane' boot, yeah. The bug itself has been fixed upstream now, but I can reproduce it a couple more times before the fix lands and see if the backtrace is the same...

Comment 3 Adam Williamson 2014-07-28 17:43:59 UTC
I rebooted, wiped the existing problem dir and reproduced the bug, same result (the 'validation failed' error). Running that command you posted produces a file 'backtrace' with no console errors, I'll attach it.

Comment 4 Adam Williamson 2014-07-28 17:44:29 UTC
Created attachment 921861 [details]
backtrace from the 'gdb' command with a new abrt capture of the crash

Comment 5 Jakub Filak 2014-07-29 10:37:23 UTC
Thank you very much Adam. We have to adapt ABRT to backtraces tainted by JavaScript interpreters (https://github.com/abrt/faf/issues/254).

Comment 7 Fedora End Of Life 2015-11-04 13:00:06 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2015-12-02 03:18:07 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.